From 94e13c799d2e218a814d007ceff37e91828fb4a4 Mon Sep 17 00:00:00 2001
From: Florian Schmaus <flo@geekplace.eu>
Date: Thu, 2 Jan 2025 11:31:19 +0100
Subject: [PATCH] Makefile: fix example-diff.tex target, depend on and use
 diff/latexdiff

Use ./dist/latexdiff instead of latexdiff in path for the Makefile
target. This helps especially in "bootstrap" scenarios, for example,
https://bugs.gentoo.org/947303.
---
 Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/Makefile b/Makefile
index 79599a8..608e593 100644
--- a/Makefile
+++ b/Makefile
@@ -98,8 +98,8 @@ latexdiff-vc.tex: latexdiff-vc
 example-diff.pdf: example-diff.tex
 	pdflatex example-diff.tex
 
-example-diff.tex: example-draft.tex example-rev.tex latexdiff
-	latexdiff -t UNDERLINE example-draft.tex example-rev.tex > example-diff.tex
+example-diff.tex: example-draft.tex example-rev.tex dist/latexdiff
+	./dist/latexdiff -t UNDERLINE example-draft.tex example-rev.tex > example-diff.tex
 
 dist/example/example-draft.tex: example-draft.tex
 	cp $< $@
